package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum WebsocketTypeEnum implements BaseEnum<String, WebsocketTypeEnum> {
	SOUND_COMPARE("SOUND_COMPARE", "评测"),
	SOUND_CHECK("SOUND_CHECK", "校音");

	private String code;

	private String msg;

	WebsocketTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
